KDE 4.9 PyKDE API Reference

- KDE's Python API

# MarbleWidgetPopupMenu Class Reference

`from PyKDE4.marble import *`

Inherits: QObject
Namespace: Marble

## Detailed Description

The MarbleWidgetPopupMenu handles context menus.

## Signals
| trackPlacemark (Marble.GeoDataPlacemark placemark)
## Methods
| __init__ (self, Marble.MarbleWidget a0, Marble.MarbleModel a1)
| addAction (self, Qt::MouseButton button, QAction action)
QPoint | mousePosition (self)
| showLmbMenu (self, int a0, int a1)
| showRmbMenu (self, int a0, int a1)

## Signal Documentation

trackPlacemark | ( | Marble.GeoDataPlacemark | placemark
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("trackPlacemark(const Marble::GeoDataPlacemark*)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | Marble.MarbleWidget | a0,
|  | Marble.MarbleModel | a1
| ) |  |  |

addAction | ( | self, |
|  | Qt::MouseButton | button,
|  | QAction | action
| ) |  |  |

Adds the action to the menu associated with the specified mouse button

QPoint mousePosition | ( |  | self ) |

mousePosition Position of the last mouse button click

Returns:

showLmbMenu | ( | self, |
|  | int | a0,
|  | int | a1
| ) |  |  |

showRmbMenu | ( | self, |
|  | int | a0,
|  | int | a1
| ) |  |  |